package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.sop.business.bean.dto.DataPermissionDto;
import com.qmth.sop.business.entity.SysDevice;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * </p>
 *
 * @author dhshu
 *
 */
public interface DeviceMonitorMapper extends BaseMapper<SysDevice> {


    Map<String, Object> count(@Param("supplierId") Long supplierId,@Param("model") String model);

    List<Map<String, Object>> countByModel(@Param("supplierId") Long supplierId);

    Map<String, Object> countByServiceUnit(@Param("dpr") DataPermissionDto dpr);

    List<Map<String, Object>> countByServiceUnitDetail(@Param("dpr") DataPermissionDto dpr);
}
